/*
 * Copyright (c) 1998 The Regenstrief Institute.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Written by Gunther Schadow.
 *
 * $Id: KeyExistsException.java,v 1.1 1998/11/05 18:56:49 schadow Exp $
 */
package jdbm;

import java.lang.*;

public class KeyExistsException
  extends Exception
{
  Database db  = null;
  byte[]   key = null;
  
  public KeyExistsException() { super(); }
  public KeyExistsException(String msg) { super(msg); }
  public KeyExistsException(Database db, byte key[]) 
  { 
    super(new String(key)); 
    this.db = db;
    this.key = key;
  }

  /** Returns data base on which problem happened. */
  public Database getDatabase() { return db; }

  /** Returns offending key. */
  public byte[]   getKey() { return key; }
}

